Bug 1582697 - SELinux is preventing sddm-greeter from 'map' accesses on the chr_file /dev/nvidiactl.
Summary: SELinux is preventing sddm-greeter from 'map' accesses on the chr_file /dev/n...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:74e23f521be222ef15e7f65f71d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-26 01:10 UTC by Frédney Ramllo Moronari
Modified: 2018-05-30 22:49 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-30.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 22:49:45 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Frédney Ramllo Moronari 2018-05-26 01:10:00 UTC
Description of problem:
nVidia VGA Driver instalation
SELinux is preventing sddm-greeter from 'map' accesses on the chr_file /dev/nvidiactl.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sddm-greeter should be allowed map access on the nvidiactl chr_file by default.
Then você deve informar que este é um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
allow this access for now by executing:
# ausearch -c 'sddm-greeter' --raw | audit2allow -M my-sddmgreeter
# semodule -X 300 -i my-sddmgreeter.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xserver_misc_device_t:s0
Target Objects                /dev/nvidiactl [ chr_file ]
Source                        sddm-greeter
Source Path                   sddm-greeter
Port                          <Desconhecido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-25.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.11-300.fc28.x86_64 #1 SMP Tue
                              May 22 18:29:09 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-05-25 20:03:02 -03
Last Seen                     2018-05-25 20:25:06 -03
Local ID                      b61df7e4-87d8-4c0a-a0e3-3706200dc6b0

Raw Audit Messages
type=AVC msg=audit(1527290706.337:176): avc:  denied  { map } for  pid=1210 comm="sddm-greeter" path="/dev/nvidiactl" dev="devtmpfs" ino=24484 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xserver_misc_device_t:s0 tclass=chr_file permissive=0


Hash: sddm-greeter,xdm_t,xserver_misc_device_t,chr_file,map

Version-Release number of selected component:
selinux-policy-3.14.1-25.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.11-300.fc28.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.